DROP TABLE IF EXISTS toa_mobile_menu;
CREATE TABLE toa_mobile_menu (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(32) DEFAULT NULL,
  url varchar(128) DEFAULT NULL,
  fid varchar(16) DEFAULT NULL,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1000 ;
DROP TABLE IF EXISTS toa_mobile_model;
CREATE TABLE IF NOT EXISTS toa_mobile_model (
  mid int(11) NOT NULL AUTO_INCREMENT,
  title varchar(32) DEFAULT NULL,
  linkurl varchar(255) DEFAULT NULL,
  number int(11) DEFAULT NULL,
  ico varchar(64) DEFAULT NULL,
  type varchar(16) NOT NULL,
  type1 varchar(16) NOT NULL DEFAULT '1',
  modlist text,
  menu varchar(4) NOT NULL,
  PRIMARY KEY (mid)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10000 ;
INSERT INTO toa_mobile_model (mid, title, linkurl, number, ico, type, type1, modlist,menu) VALUES
(10024, '报表管理', 'document?type=6', 10, 'document6.png', 'menu', '1', '全体人员', '14'),
(10016, '任务管理', 'duty?', 1, 'duty.png', 'menu', '1', '全体人员', '11'),
(10017, '日程安排', 'workdate?', 2, 'workdate.png', 'menu', '1', '全体人员', '11'),
(10018, '工作日志', 'blog?', 3, 'blog.png', 'menu', '1', '全体人员', '11'),
(10019, '个人文件柜', 'document?type=1', 4, 'document1.png', 'menu', '1', '全体人员', '14'),
(10020, '下载管理', 'document?type=4', 5, 'document4.png', 'menu', '1', '全体人员', '14'),
(10021, '公共文件柜', 'document?type=2', 6, 'document2.png', 'menu', '1', '全体人员', '14'),
(10022, '网络硬盘', 'document?type=3', 7, 'document3.png', 'menu', '1', '全体人员', '14'),
(10023, '规章制度', 'document?type=5', 8, 'document5.png', 'menu', '1', '全体人员', '14'),
(10025, '通迅录', 'communication?', 9, 'communication.png', 'menu', '1', '全体人员', '11'),
(10026, '会议管理', 'conference?', 11, 'conference.png', 'menu', '1', '全体人员', '11'),
(10027, '固定资产', 'property?', 12, 'property.png', 'menu', '1', '全体人员', '13'),
(10028, '办公用品', 'goods?', 13, 'goods.png', 'menu', '1', '全体人员', '13'),
(10029, '流程审批', 'workclass?', 18, 'workclass.png', 'menu', '1', '全体人员', '12'),
(10031, '知识管理', 'knowledge?', 14, 'knowledge.png', 'menu', '1', '全体人员', '14'),
(10032, '档案管理', 'file?', 15, 'file.png', 'menu', '1', '全体人员', '13'),
(10033, '图书管理', 'book?', 16, 'book.png', 'menu', '1', '全体人员', '13'),
(10034, '投票管理', 'app_option?', 17, 'app_option.png', 'menu', '1', '全体人员', '13'),
(10038, '工作计划', 'plan?', 2, 'plan.png', 'menu', '1', '全体人员', '11'),
(10039, '公文管理', 'apps?', 999, 'apps.png', 'menu', '1', '全体人员', '12'),
(10041, '工资查询', 'wage?', 999, 'wage.png', 'menu', '1', '全体人员', '13'),
(10042, '在线考勤', 'registration?', 999, 'registration.png', 'menu', '1', '全体人员', '13');
INSERT INTO toa_menu (menuid, menuname, menuurl, fatherid, menutype, menunum, menukey,keytable) VALUES
(284, '手机WAP版', 'admin.php?ac=mobile&fileurl=m', '58', '0', 12, '0', 'config_inc');
INSERT INTO toa_mobile_menu (id, name, url, fid) VALUES
(11, '日常办公', 'm/index.php', NULL),
(14, '知识文档', 'm/news.php', NULL),
(13, '行政办公', 'm/sms.php', NULL),
(12, '流程审批', 'm/sms.php', NULL);